import java.io.IOException;

import util.CommandLine;
import util.Util;
import assign.Worker;
import assign.Worker.Argument;
import parallel.Parallelizer;

public class Main {

    public static void main(String[] args) throws IOException {

        //--------------------------------get arguments---------------------------------
        Util.pln("Model-Based Assignment v0.1 (c) 2003, O&J Vitek, Purdue University.\n\n");
        CommandLine cl = new CommandLine(args);
        Argument arg = new Argument();
        cl.extract(arg);
        Util.pln("ARGUMENTS:");
        for (int i = 0; i < args.length; i++)
            Util.pln(args[i]);

        //-------------------------initialize working environment-----------------------
        boolean processNow = Parallelizer.initialize(arg);

        if (processNow) {
            //----------------------------search of solutions-------------------------------
            Parallelizer.obj.start();

            //-----------------------------print the result---------------------------------
            Worker.mappingsFound.stats();

            Parallelizer.obj.finished();
            Util.pln("Done.");

            // In client mode, we need to call System.exit(0) or else the program will keep
            // running, thinking something might access the RmiClientParallelizer remote object.
            System.exit(0);
        }
    }

}
