package parallel;

import assign.Strand;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface exposed to the RmiServer, allowing it to communicate back
 * to this client.
 * 
 * @author kulinipm
 */
public interface RmiClient extends Remote {

	public void enqueueTask(int serverId, MovableTask task) throws RemoteException;
	public void addStrands(int serverId, Strand[] strands) throws RemoteException;
	public MovableTask fetchTask(int serverId) throws RemoteException;
	
	public void ping(int serverId) throws RemoteException;
	public void close(int serverId) throws RemoteException;
}
