package parallel;

import assign.Worker.Argument;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface exposed to the RmiClient, allowing it to communicate with
 * this server.
 * 
 * @author kulinipm
 */
public interface RmiServer extends Remote {
	
	public boolean acquire(RmiClient client) throws RemoteException;
	public void release() throws RemoteException;
	
	public void start(Argument arg, int id) throws RemoteException;
	public MovableTask stealTask() throws RemoteException; 
	
	public void quit() throws RemoteException;
}
